Get the profile of an actor
curl --request GET \
--url https://api.rocksky.app/xrpc/app.rocksky.actor.getProfile \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rocksky.app/xrpc/app.rocksky.actor.getProfile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rocksky.app/xrpc/app.rocksky.actor.getProfile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rocksky.app/xrpc/app.rocksky.actor.getProfile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rocksky.app/xrpc/app.rocksky.actor.getProfile"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rocksky.app/xrpc/app.rocksky.actor.getProfile")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rocksky.app/xrpc/app.rocksky.actor.getProfile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"did": "<string>",
"handle": "<string>",
"displayName": "<string>",
"avatar": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"spotifyUser": {
"createdAt": "<string>",
"updatedAt": "<string>",
"id": "<string>",
"xataVersion": 123,
"userId": "<string>",
"isBetaUser": true,
"spotifyAppId": "<string>"
},
"spotifyConnected": true,
"googledrive": {
"createdAt": "<string>",
"updatedAt": "<string>"
},
"dropbox": {
"createdAt": "<string>",
"updatedAt": "<string>",
"id": "<string>",
"email": "<string>",
"isBetaUser": true,
"userId": "<string>",
"xataVersion": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}app.rocksky.actor
Get the profile of an actor
GET
/
app.rocksky.actor.getProfile
Get the profile of an actor
curl --request GET \
--url https://api.rocksky.app/xrpc/app.rocksky.actor.getProfile \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rocksky.app/xrpc/app.rocksky.actor.getProfile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rocksky.app/xrpc/app.rocksky.actor.getProfile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rocksky.app/xrpc/app.rocksky.actor.getProfile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rocksky.app/xrpc/app.rocksky.actor.getProfile"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rocksky.app/xrpc/app.rocksky.actor.getProfile")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rocksky.app/xrpc/app.rocksky.actor.getProfile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"did": "<string>",
"handle": "<string>",
"displayName": "<string>",
"avatar": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"spotifyUser": {
"createdAt": "<string>",
"updatedAt": "<string>",
"id": "<string>",
"xataVersion": 123,
"userId": "<string>",
"isBetaUser": true,
"spotifyAppId": "<string>"
},
"spotifyConnected": true,
"googledrive": {
"createdAt": "<string>",
"updatedAt": "<string>"
},
"dropbox": {
"createdAt": "<string>",
"updatedAt": "<string>",
"id": "<string>",
"email": "<string>",
"isBetaUser": true,
"userId": "<string>",
"xataVersion": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
Rocksky bearer token.
Query Parameters
The DID or handle of the actor
Response
Success
The unique identifier of the actor.
The DID of the actor.
The handle of the actor.
The display name of the actor.
The URL of the actor's avatar image.
The date and time when the actor was created.
The date and time when the actor was last updated.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes